#ifndef PTSERVER_H
#define PTSERVER_H

#include "libptsocket_global.h"
#include <QObject>
#include <QTcpServer>
#include <QTcpSocket>
#include <QHostAddress>
#include "ptsocket.h"

class LIBPTSOCKETSHARED_EXPORT PTServer : public QTcpServer
{
	Q_OBJECT
public:
	explicit PTServer(QObject *parent = 0);

signals:
	void newClient(PTSocket*);
	
public slots:

private slots:
	void m_newConnection();

private:
	QList<PTSocket*> m_tempClients;
	QList<PTSocket*> m_clients;
	
};

#endif // PTSERVER_H
