#include "test.h"

Test::Test(QObject *parent) : QObject(parent)
{
	m_serv = new PTServer(this);
	connect(m_serv, SIGNAL(newConnection()), this, SLOT(m_newConnection()));
	connect(m_serv, SIGNAL(newClient(PTSocket*)), this, SLOT(m_newClient(PTSocket*)));
}

void Test::testListen(quint16 p)
{
	Q_ASSERT(m_serv->listen(QHostAddress::Any, p));
}

void Test::testNewConnection()
{
	ASSERT_LISTEN;
	PTSocket* sock = new PTSocket(this);
	m_clients.append(sock);
	sock->connectToHost("127.0.0.1", m_serv->serverPort());
}

void Test::m_newConnection()
{
	qDebug()<<"New socket";
}

void Test::m_newClient(PTSocket* s)
{
	qDebug()<<"New client:"<<s->peerAddress()<<s->peerPort();
}
